Bug 103626 - ThreadedMessage replyTo does not work well
ThreadedMessage replyTo does not work well
Status: NEW
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
5.2
All Linux
medium Severity low
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 06:28 EDT by Jun
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a simple method, patterned after replyTo() (1.14 KB, patch)
2003-09-03 06:32 EDT, Jun
no flags Details | Diff

  None (edit)
Description Jun 2003-09-03 06:28:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
ThreadedMessage replyTo does not work well for any of its subclasses.  The reply
will always be a ThreadedMessage, so subclasses will have problems on the
persistence.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Extend ThreadedMessage and try to make a reply to the new subclass

Additional info:
Comment 1 Jun 2003-09-03 06:32:08 EDT
Created attachment 94165 [details]
a simple method, patterned after replyTo()

This is a simple patch.  It near what replyTo does.  But I think in general,
ThreadedMessage and probably com.arsdigita.messaging should be reviewed.
Comment 2 Daniel Berrange 2003-09-03 06:33:50 EDT
This limitation of messaging was fixed on the London branch of 5.2 & merged in
Troika. It should be fairly straightforward to merge with the main 5.2 codebase.

Note You need to log in before you can comment on or make changes to this bug.